#
# Please do not update/rebuild/touch this package before asking first to mikala and/or neoclust
# This package is part of the KDE Stack.
#

%define rel 2

Summary:        KDE Frameworks 5 Tier 3 solution for filesystem abstraction
Name:           kio
Version: 5.32.0
Release:        %mkrel %rel
License:        GPLv2+
Group:          System/Base
Source0:        http://fr2.rpmfind.net/linux/KDE/unstable/framework/%{name}-%{version}.tar.xz
URL:            https://www.kde.org/

BuildRequires: kf5-macros
BuildRequires: kdbusaddons-devel >= %version
BuildRequires: ki18n-devel >= %version
BuildRequires: kguiaddons-devel >= %version
BuildRequires: kauth-devel >= %version
BuildRequires: kcodecs-devel >= %version
BuildRequires: kconfig-devel >= %version
BuildRequires: kconfigwidgets-devel >= %version
BuildRequires: kitemviews-devel >= %version
BuildRequires: kcoreaddons-devel >= %version
BuildRequires: kwidgetsaddons-devel >= %version
BuildRequires: kservice-devel >= %version
BuildRequires: karchive-devel >= %version
BuildRequires: solid-devel >= %version
BuildRequires: kjobwidgets-devel >= %version
BuildRequires: kiconthemes-devel >= %version
BuildRequires: kwindowsystem-devel >= %version
BuildRequires: kcrash-devel >= %version
BuildRequires: kcompletion-devel >= %version
BuildRequires: kdoctools-devel >= %version
BuildRequires: sonnet-devel >= %version
BuildRequires: ktextwidgets-devel >= %version
BuildRequires: kglobalaccel-devel >= %version
BuildRequires: kxmlgui-devel >= %version
BuildRequires: kbookmarks-devel >= %version
BuildRequires: knotifications-devel >= %version
BuildRequires: kwallet-devel >= %version

BuildRequires: zlib-devel
BuildRequires: libxml2-utils
BuildRequires: docbook-dtds
BuildRequires: docbook-style-xsl
BuildRequires: acl-devel

BuildRequires: pkgconfig(libxslt)
BuildRequires: pkgconfig(libxml-2.0)
BuildRequires: pkgconfig(Qt5Core)
BuildRequires: pkgconfig(Qt5DBus)
BuildRequires: pkgconfig(Qt5Network)
BuildRequires: pkgconfig(Qt5Xml)
BuildRequires: pkgconfig(Qt5Widgets)
BuildRequires: pkgconfig(Qt5Test)
BuildRequires: pkgconfig(Qt5Concurrent)
BuildRequires: pkgconfig(Qt5Gui)
BuildRequires: pkgconfig(Qt5Script)
BuildRequires: pkgconfig(krb5-gssapi)

%description
KDE Frameworks 5 Tier 3 solution for filesystem abstraction.

%files -f kio5.lang
%_kf5_datadir/kservices5/*.desktop
%_kf5_datadir/kservices5/searchproviders
%_kf5_datadir/kservices5/*.protocol
%_kf5_datadir/kservices5/useragentstrings
%_kf5_bindir/*
%_kf5_sysconfdir/xdg/accept-languages.codes
%_kf5_sysconfdir/xdg/kshorturifilterrc
%_kf5_plugindir/kio
%_kf5_plugindir/urifilters
%_kf5_plugindir/kded
%_qt5_plugindir/kcm_kio.so
%_qt5_plugindir/kf5/kiod
%_qt5_plugindir/kcm_webshortcuts.so
%_qt5_plugindir/kcm_trash.so
%_kf5_libexecdir/kio_http_cache_cleaner
%_kf5_libexecdir/kioslave
%_kf5_libexecdir/kpac_dhcp_helper
%_kf5_libexecdir/kioexec
%_kf5_libexecdir/kiod5
%_kf5_datadir/applications/ktelnetservice5.desktop
%_kf5_datadir/kservicetypes5/*.desktop
%_kf5_datadir/kf5/kcookiejar/domain_info
%_kf5_mandir/man8/kcookiejar5.8.*
%_kf5_mandir/*/man?/kcookiejar5.8.*
%_kf5_datadir/knotifications5/proxyscout.notifyrc
%_datadir/dbus-1/services/org.kde.kiod5.service
%_datadir/dbus-1/services/org.kde.kcookiejar5.service
%_datadir/dbus-1/services/org.kde.kpasswdserver.service
%_datadir/dbus-1/services/org.kde.kssld5.service

#--------------------------------------------------------------------

%define kf5kiocore_major 5
%define libkf5kiocore %mklibname kf5kiocore %{kf5kiocore_major}

%package -n %libkf5kiocore
Summary:  KDE Frameworks 5 Tier 3 solution for filesystem abstraction
Group:    System/Libraries

%description -n %libkf5kiocore
KDE Frameworks 5 Tier 3 solution for filesystem abstraction.

%files -n %libkf5kiocore
%_kf5_libdir/libKF5KIOCore.so.%{kf5kiocore_major}*

#--------------------------------------------------------------------

%define kf5kiontlm_major 5
%define libkf5kiontlm %mklibname kf5kiontlm %{kf5kiontlm_major}

%package -n %libkf5kiontlm
Summary:  KDE Frameworks 5 Tier 3 solution for filesystem abstraction
Group:        System/Libraries

%description -n %libkf5kiontlm
KDE Frameworks 5 Tier 3 solution for filesystem abstraction.

%files -n %libkf5kiontlm
%_kf5_libdir/libKF5KIONTLM.so.%{kf5kiontlm_major}*

#--------------------------------------------------------------------

%define kf5kiowidgets_major 5
%define libkf5kiowidgets %mklibname kf5kiowidgets %{kf5kiowidgets_major}

%package -n %libkf5kiowidgets
Summary:  KDE Frameworks 5 Tier 3 solution for filesystem abstraction
Group:        System/Libraries

%description -n %libkf5kiowidgets
KDE Frameworks 5 Tier 3 solution for filesystem abstraction.

%files -n %libkf5kiowidgets
%_kf5_libdir/libKF5KIOWidgets.so.%{kf5kiowidgets_major}*

#--------------------------------------------------------------------

%define kf5kiofilewidgets_major 5
%define libkf5kiofilewidgets %mklibname kf5kiofilewidgets %{kf5kiofilewidgets_major}

%package -n %libkf5kiofilewidgets
Summary:  KDE Frameworks 5 Tier 3 solution for filesystem abstraction
Group:        System/Libraries

%description -n %libkf5kiofilewidgets
KDE Frameworks 5 Tier 3 solution for filesystem abstraction.

%files -n %libkf5kiofilewidgets
%_kf5_libdir/libKF5KIOFileWidgets.so.%{kf5kiofilewidgets_major}*

#--------------------------------------------------------------------

%define kf5kiogui_major 5
%define libkf5kiogui %mklibname kf5kiogui %{kf5kiogui_major}

%package -n %libkf5kiogui
Summary:  KDE Frameworks 5 Tier 3 solution for filesystem abstraction
Group:        System/Libraries

%description -n %libkf5kiogui
KDE Frameworks 5 Tier 3 solution for filesystem abstraction.

%files -n %libkf5kiogui
%_kf5_libdir/libKF5KIOGui.so.%{kf5kiogui_major}*

#--------------------------------------------------------------------

%define kf5kiocore_devel %mklibname kf5kio -d

%package -n %kf5kiocore_devel

Summary:        Devel stuff for %name
Group:          Development/KDE and Qt
Requires:       %libkf5kiocore = %version-%release
Requires:       %libkf5kiontlm = %version-%release
Requires:       %libkf5kiowidgets = %version-%release
Requires:       %libkf5kiofilewidgets = %version-%release
Requires:       %libkf5kiogui = %version-%release
Requires:       %name  = %version-%release
Provides:       %name-devel = %{version}-%{release}
Obsoletes:      %{_lib}kio-devel < 5.28.0-2

%description -n %kf5kiocore_devel
This package contains header files needed if you wish to build applications
based on %name.

%files -n %kf5kiocore_devel
%_kf5_includedir/KIOWidgets
%_kf5_includedir/KIOFileWidgets
%_kf5_includedir/KIOCore
%_kf5_includedir/KIOGui
%_kf5_includedir/kio
%_kf5_includedir/kio_version.h
%_datadir/dbus-1/interfaces/*.xml
%_kf5_libdir/cmake/KF5KIO
%_kf5_libdir/*.so
%_libdir/qt5/mkspecs/modules/*.pri

#--------------------------------------------------------------------

%package handbook
Summary: %{name} Handbook
BuildArch: noarch

# ease upgrade (can be removed for mga7)
Conflicts:      kio < 5.28.0-2
# duplicated files with KDE 4
Conflicts:      kdebase4-workspace-handbook < 2:4.11.21

%description handbook
This package provides %{name} Handbook.

%files handbook
%doc %_kf5_docdir/HTML/*/kioslave5
%doc %_kf5_docdir/HTML/*/kcontrol5

#--------------------------------------------------------------------

%prep
%setup -q
%autopatch -p1

%build
%cmake_kf5 -DSYSCONF_INSTALL_DIR="%_sysconfdir"
%make_build

%install
%make_install -C build

%find_lang kio5


%changelog
* Tue Mar 07 2017 neoclust <neoclust> 5.32.0-2.mga6
+ Revision: 1089398
- Rebuild for armv5

* Mon Mar 06 2017 neoclust <neoclust> 5.32.0-1.mga6
+ Revision: 1088974
- New version 5.32.0

* Wed Dec 14 2016 neoclust <neoclust> 5.29.0-1.mga6
+ Revision: 1074894
- New version 5.29.0

* Tue Dec 06 2016 daviddavid <daviddavid> 5.28.0-2.mga6
+ Revision: 1072849
- fix conflicting handbook files
- fix devel pkg name (libkio-devel to libkf5kio-devel)

* Sun Dec 04 2016 neoclust <neoclust> 5.28.0-1.mga6
+ Revision: 1072210
- New version 5.28.0

* Tue Oct 04 2016 neoclust <neoclust> 5.27.0-1.mga6
+ Revision: 1058365
- New version 5.27.0

* Thu Sep 08 2016 neoclust <neoclust> 5.26.0-1.mga6
+ Revision: 1050542
- New version 5.26.0

* Tue Aug 09 2016 neoclust <neoclust> 5.25.0-1.mga6
+ Revision: 1045120
- New version 5.25.0

* Wed Jul 13 2016 neoclust <neoclust> 5.24.0-1.mga6
+ Revision: 1041618
- New version 5.24.0

* Fri Jun 17 2016 neoclust <neoclust> 5.23.0-1.mga6
+ Revision: 1021940
- New version 5.23.0

* Sat May 14 2016 neoclust <neoclust> 5.22.0-1.mga6
+ Revision: 1015573
- New version 5.22.0

* Sat Apr 09 2016 neoclust <neoclust> 5.21.0-1.mga6
+ Revision: 999645
- New version 5.21.0

* Sun Mar 06 2016 neoclust <neoclust> 5.20.0-1.mga6
+ Revision: 986338
- New version 5.20.0

* Tue Feb 09 2016 neoclust <neoclust> 5.19.0-2.mga6
+ Revision: 952162
- Fix require on lib

* Tue Feb 09 2016 neoclust <neoclust> 5.19.0-1.mga6
+ Revision: 951868
- New version 5.19.0

* Sun Jan 10 2016 neoclust <neoclust> 5.18.0-1.mga6
+ Revision: 921291
- New version 5.18.0

* Mon Dec 21 2015 neoclust <neoclust> 5.17.0-2.mga6
+ Revision: 913084
- Rebuild against Qt 5.6.0 Beta

* Sun Dec 13 2015 neoclust <neoclust> 5.17.0-1.mga6
+ Revision: 909887
- New version 5.17.0

* Tue Nov 10 2015 neoclust <neoclust> 5.16.0-4.mga6
+ Revision: 900450
- Rebuild against fixed qtbase5

* Mon Nov 09 2015 neoclust <neoclust> 5.16.0-3.mga6
+ Revision: 899601
- Rebuild against fixed extra-cmake-modules

* Sun Nov 08 2015 neoclust <neoclust> 5.16.0-2.mga6
+ Revision: 898935
- New version 5.16.0

* Fri Oct 09 2015 neoclust <neoclust> 5.15.0-1.mga6
+ Revision: 888175
- New version 5.15.0

* Sun Sep 20 2015 neoclust <neoclust> 5.14.0-1.mga6
+ Revision: 881675
- New version 5.14.0

* Tue Aug 25 2015 pterjan <pterjan> 5.13.0-2.mga6
+ Revision: 869232
- Rebuild with gcc 5

* Tue Aug 11 2015 neoclust <neoclust> 5.13.0-1.mga6
+ Revision: 862960
- New version 5.13.0

* Tue Aug 11 2015 neoclust <neoclust> 5.12.0-2.mga6
+ Revision: 862622
- Plasma Mass Rebuild - Rebuild for new kf5-macros

* Tue Jul 14 2015 neoclust <neoclust> 5.12.0-1.mga6
+ Revision: 853805
- New version 5.12.0

* Sat Jul 11 2015 neoclust <neoclust> 5.11.0-2.mga6
+ Revision: 853317
- Remove conflict, now HTML files are not in the same folder anymore

* Sat Jun 27 2015 neoclust <neoclust> 5.11.0-1.mga6
+ Revision: 846327
- New version 5.11.0

* Thu Dec 18 2014 neoclust <neoclust> 5.5.0-1.mga5
+ Revision: 803966
- New version 5.5.0

* Wed Oct 15 2014 umeabot <umeabot> 5.1.0-3.mga5
+ Revision: 746030
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 5.1.0-2.mga5
+ Revision: 681086
- Mageia 5 Mass Rebuild

* Fri Aug 08 2014 neoclust <neoclust> 5.1.0-1.mga5
+ Revision: 660992
- New version 5.1.0

* Tue Jul 22 2014 neoclust <neoclust> 5.0.0-3.mga5
+ Revision: 655626
- Fix use of libexecdir in kio

* Sun Jul 20 2014 neoclust <neoclust> 5.0.0-2.mga5
+ Revision: 654853
- Rebuld against new kf5 macros

* Mon Jul 14 2014 neoclust <neoclust> 5.0.0-1.mga5
+ Revision: 652158
- New version 5.0.0
- New version 4.100.0
- New version 4.99.0

* Sat Apr 05 2014 neoclust <neoclust> 4.98.0-1.mga5
+ Revision: 612180
- New version 4.98.0

* Wed Mar 05 2014 neoclust <neoclust> 4.97.0-1.mga5
+ Revision: 599920
- New version 4.97.0

* Wed Feb 26 2014 neoclust <neoclust> 4.96.0-2.mga5
+ Revision: 597292
- Rebuild against fixed kf5-macros

* Thu Feb 20 2014 neoclust <neoclust> 4.96.0-1.mga5
+ Revision: 595084
- imported package kio

